NobGit
public nobgit read

NobMail

Based on mailcow: dockerized

Languages

Repository composition by tracked source files.

PHP
PHP 49% JavaScript 35% HTML 9% CSS 4% Shell 2% Python 1% Lua 0% Perl 0% Ruby 0% SCSS 0%
Create file Wiki Documentation
Clone
https://nobgit.com/orgs/nobgit/nobmail.git
ssh://[email protected]:2222/orgs/nobgit/nobmail.git

Commit

More clearer message to install required tool

383b5aff
Patrik Kernstock <[email protected]> 10 months ago
_modules/scripts/core.sh | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

Diff

diff --git a/_modules/scripts/core.sh b/_modules/scripts/core.sh
index f71368d2..e86c2afc 100644
--- a/_modules/scripts/core.sh
+++ b/_modules/scripts/core.sh
@@ -17,7 +17,12 @@ caller="${BASH_SOURCE[1]##*/}"
 
 get_installed_tools(){
     for bin in openssl curl docker git awk sha1sum grep cut jq; do
-        if [[ -z $(command -v ${bin}) ]]; then echo "Cannot find ${bin}, exiting..."; exit 1; fi
+        if [[ -z $(command -v ${bin}) ]]; then
+          echo "Error: Cannot find command '${bin}'. Cannot proceed."
+          echo "Solution: Please install accordingly and re-run the script."
+          echo "Exiting..."
+          exit 1
+        fi
     done
 
     if grep --help 2>&1 | head -n 1 | grep -q -i "busybox"; then echo -e "${LIGHT_RED}BusyBox grep detected, please install gnu grep, \"apk add --no-cache --upgrade grep\"${NC}"; exit 1; fi
@@ -221,4 +226,4 @@ detect_major_update() {
       fi
     fi
   fi
-}
\ No newline at end of file
+}